org.apache.lucene.luke.app.desktop

## Class PreferencesImpl

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.PreferencesImpl

- All Implemented Interfaces:
    Preferences

      public final class PreferencesImpl
      extends Object
      implements Preferences

  Default implementation of `Preferences`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.lucene.luke.app.desktop.Preferences

      `Preferences.ColorTheme`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreferencesImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHistory(String indexPath)`
    `Preferences.ColorTheme` | `getColorTheme()`
    `String` | `getDirImpl()`
    `List<String>` | `getHistory()`
    `boolean` | `isKeepAllCommits()`
    `boolean` | `isNoReader()`
    `boolean` | `isReadOnly()`
    `boolean` | `isUseCompound()`
    `void` | `setColorTheme(Preferences.ColorTheme theme)`
    `void` | `setIndexOpenerPrefs(boolean readOnly, String dirImpl, boolean noReader, boolean useCompound, boolean keepAllCommits)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PreferencesImpl

          public PreferencesImpl()
                          throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getHistory

          public List<String> getHistory()

      Specified by:
        `getHistory` in interface `Preferences`

    - #### addHistory

          public void addHistory(String indexPath)
                          throws IOException

      Specified by:
        `addHistory` in interface `Preferences`
      Throws:
        `IOException`

    - #### getColorTheme

          public Preferences.ColorTheme getColorTheme()

      Specified by:
        `getColorTheme` in interface `Preferences`

    - #### setColorTheme

          public void setColorTheme(Preferences.ColorTheme theme)
                             throws IOException

      Specified by:
        `setColorTheme` in interface `Preferences`
      Throws:
        `IOException`

    - #### isReadOnly

          public boolean isReadOnly()

      Specified by:
        `isReadOnly` in interface `Preferences`

    - #### getDirImpl

          public String getDirImpl()

      Specified by:
        `getDirImpl` in interface `Preferences`

    - #### isNoReader

          public boolean isNoReader()

      Specified by:
        `isNoReader` in interface `Preferences`

    - #### isUseCompound

          public boolean isUseCompound()

      Specified by:
        `isUseCompound` in interface `Preferences`

    - #### isKeepAllCommits

          public boolean isKeepAllCommits()

      Specified by:
        `isKeepAllCommits` in interface `Preferences`

    - #### setIndexOpenerPrefs

          public void setIndexOpenerPrefs(boolean readOnly,
                                          String dirImpl,
                                          boolean noReader,
                                          boolean useCompound,
                                          boolean keepAllCommits)
                                   throws IOException

      Specified by:
        `setIndexOpenerPrefs` in interface `Preferences`
      Throws:
        `IOException`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.